Bug 231077 - devel/boost-libs: build in C++17 mode
Summary: devel/boost-libs: build in C++17 mode
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: FreeBSD Office Team
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2018-09-01 15:56 UTC by Jan Beich
Modified: 2018-09-08 00:55 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (office)
antoine: exp-run+


Attachments
v1 (1.53 KB, patch)
2018-09-01 15:56 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2018-09-01 15:56:28 UTC
Created attachment 196764 [details]
v1

Boost tends to enable more features (including new libraries) for higher standards.
Comment 1 Jan Beich freebsd_committer 2018-09-01 16:00:47 UTC
Can you do exp-run on 11.2 or later with make.conf from bug 229569 comment 9? If you plan to try on -CURRENT as well better use bug 230355 as both 11.2 and 12.0 have Clang 6.0.
Comment 2 Antoine Brodin freebsd_committer 2018-09-07 19:27:46 UTC
I saw no new failure on 11.2 with the patch applied.
Comment 3 commit-hook freebsd_committer 2018-09-08 00:53:30 UTC
A commit references this bug:

Author: jbeich
Date: Sat Sep  8 00:53:11 UTC 2018
New revision: 479222
URL: https://svnweb.freebsd.org/changeset/ports/479222

Log:
  devel/boost-all: switch to C++17 on FreeBSD >= 11.2

  PR:		231077
  Exp-run by:	antoine

Changes:
  head/devel/boost-all/compiled.mk
  head/devel/boost-libs/Makefile
  head/devel/boost-python-libs/Makefile